%define __kde4_alternate_placement 1

%define libk3b libk3b6
%define libk3bdevice libk3bdevice6

%define req_std_burning cdrkit cdrecord-classic cdrdao mkisofs >= 2.0 dvd+rw-tools
#readcd
%define req_std_kde kde4libs >= %{get_version kde4libs}
#define req_std_common iceauth
%define req_std_common %nil
%define req_multimedia sox transcode vcdimager >= 0.7 normalize lame flac mpc

%define req_mini %req_std_burning %req_std_kde %req_std_common
%define req_all %req_mini %req_multimedia

%define rname k3b
%ifdef __kde4_alternate_placement
Name: kde4-%rname
%else
Name: %rname
%endif
Version: 1.95
Release: alt0.5.M50.1

Group: Archiving/Cd burning
Summary: The CD Kreator (Complete set)
Summary(ru_RU.UTF-8): Программа записи CD (Полный набор)
URL: http://www.k3b.org/
License: GPLv2

Requires: %req_all
#Requires: k3b-mini = %version-%release

Source0: %rname-%version.tar
Patch1: k3b-1.95-add-po.patch
Patch2: k3b-1.95-alt-write-cd-image.patch
Patch3: k3b-1.66.0-alt-dvd-default-grouwisofs.patch
Patch4: k3b-1.66.0-alt-messages.patch

# Automatically added by buildreq on Thu Apr 16 2009 (-bi)
#BuildRequires: gcc-c++ kde4multimedia-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXdamage-devel libXdmcp-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libavformat-devel libdvdread-devel libflac++-devel liblame-devel libmad-devel libmpcdec-devel libmusicbrainz-devel libqt3-devel libsamplerate-devel libsndfile-devel libtag-devel libvorbis-devel libxkbfile-devel xorg-xf86vidmodeproto-devel
BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ kde4multimedia-devel xorg-devel libavformat-devel libdvdread-devel libflac++-devel
BuildRequires: liblame-devel libmad-devel libmpcdec-devel libmusicbrainz-devel
BuildRequires: libsamplerate-devel libsndfile-devel libtag-devel libvorbis-devel

%description
K3b is a GUI frontend to the cd recording programs. 
It's aim is to provide a very user friendly interface to all the tasks that 
come with cd recording. 
This package contains all requiremnts and libraries necessary for full 
program functionality.
%description -l ru_RU.UTF-8
K3b - это мощная графическая оболочка для программ записи компакт дисков.
Она создана для предоставления дружественного интерфейса ко всем задачам, сопровождающим
процесс записи компакт-дисков. 
Этот пакет cодержит зависимости и библиотеки, необходимые для 
полнофункциональной работы программы.


%package mini
Summary: The CD Creator
Summary(ru_RU.UTF-8): Программа записи CD
License: GPL
Group: Archiving/Cd burning
Requires: %req_mini
%ifndef __kde4_alternate_placement
Obsoletes: k3b-minimal < %version-%release
%endif
%description mini
K3b is a GUI frontend to the cd recording programs. 
It's aim is to provide a very user friendly interface to all the tasks that 
come with cd recording.
Install 'k3b' package to get all of the program's features.
%description mini -l ru_RU.UTF-8
K3b - это мощная графическая оболочка для программ записи компакт дисков.
Она создана для предоставления дружественного интерфейса ко всем задачам, сопровождающим
процесс записи компакт-дисков.
Для полнофункцмональной работы Вы можете установить пакет 'k3b'.


%package devel
Summary: The CD Kreator (Development package.)
Summary(ru_RU.UTF-8): Программа записи CD (Пакет разработчика.)
License: GPL
Group: Development/KDE and QT
Requires: %libk3b = %version-%release
%description devel
K3b is a GUI frontend to the cd recording programs. 
It's aim is to provide a very user friendly interface to all the tasks that 
come with cd recording. 
This package contains k3b development files and libraries.
%description devel -l ru_RU.UTF-8
K3b - это мощная графическая оболочка для программ записи компакт дисков.
Она создана для предоставления дружественного интерфейса ко всем задачам, сопровождающим
процесс записи компакт-дисков. 
Этот пакет содержит файлы и библиотеки, необходимые разработчику 
модулей k3b.

%package -n %libk3b
Summary: KDE 4 library
Group: System/Libraries
Requires: kde4libs >= %{get_version kde4libs}
%description -n %libk3b
KDE 4 library.

%package -n %libk3bdevice
Summary: KDE 4 library
Group: System/Libraries
Requires: libqt4-core >= %{get_version libqt4-core}
%description -n %libk3bdevice
KDE 4 library.

%prep
%setup -q -n %rname-%version
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
%K4cmake \
    -DK3B_BUILD_K3BSETUP:BOOL=OFF
%K4make


%install
%K4install

%K4find_lang --with-kde %rname
%K4find_lang --append --output=%rname.lang libk3bdevice


%files -f %rname.lang
#%doc README FAQ TODO COPYING AUTHORS ChangeLog
%__kde4_bindir/*
%_K4lib/*.so*
%__kde4_xdg_apps/%rname.desktop
%_K4apps/konqsidebartng/virtual_folders/services/videodvd.desktop
%_K4apps/solid/actions/k3b_*.desktop
%_K4apps/%rname
%_K4srv/*.*
%_K4srv/ServiceMenus/*.desktop
%_K4srvtyp/%{rname}*
%_K4snd/%{rname}*
%__kde4_iconsdir/hicolor/*/*/*.*

%files -n %libk3b
%_K4libdir/libk3b.so.*

%files -n %libk3bdevice
%_K4libdir/libk3bdevice.so.*

%files devel
%__kde4_libdir_link/*.so
%_K4includedir/*.h

%changelog
* Fri Aug 07 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.5.M50.1
- built for M50

* Fri Aug 07 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.6
- update to svn r1004480

* Thu Jul 02 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.4.M50.1
- built for M50

* Thu Jul 02 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.5
- fix to write dvd images

* Tue Jun 30 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.3.M50.1
- build for M50

* Wed Jun 24 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.4
- fix to use growisofs for DVDs by default

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.3
- 1.66.0 alpha2

* Fri Apr 24 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.1.M50.1
- built for M50

* Thu Apr 23 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.2
- 1.65.0 alpha1

* Thu Apr 16 2009 Sergey V Turchin <zerg@altlinux.org> 1.95-alt0.0.M50.1
- built for M50

* Thu Apr 16 2009 Sergey V Turchin <zerg at altlinux dot org> 1.95-alt0.1
- svn r948770
